ALAS2-2021-1623


Amazon Linux 2 Security Advisory: ALAS-2021-1623
Advisory Release Date: 2021-03-25 18:31 Pacific
Advisory Updated Date: 2021-03-25 20:52 Pacific
Severity: Important
References: CVE-2021-26937 

Issue Overview:

A flaw was found in screen. A specially crafted sequence of combining characters could cause an out of bounds write leading to arbitrary code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2021-26937 )


Affected Packages:

screen


Issue Correction:
Run yum update screen to update your system.

New Packages:
aarch64:
    screen-4.1.0-0.27.20120314git3c2946.amzn2.aarch64
    screen-debuginfo-4.1.0-0.27.20120314git3c2946.amzn2.aarch64

i686:
    screen-4.1.0-0.27.20120314git3c2946.amzn2.i686
    screen-debuginfo-4.1.0-0.27.20120314git3c2946.amzn2.i686

src:
    screen-4.1.0-0.27.20120314git3c2946.amzn2.src

x86_64:
    screen-4.1.0-0.27.20120314git3c2946.amzn2.x86_64
    screen-debuginfo-4.1.0-0.27.20120314git3c2946.amzn2.x86_64